<table mat-table [dataSource]="personaTablaDetalle" class="mat-elevation-z8">

    <ng-container matColumnDef="usuario">
      <th mat-header-cell *matHeaderCellDef> Usuario </th>
      <td mat-cell *matCellDef="let element"> {{element.usuario}} </td>
    </ng-container>
  
    <ng-container matColumnDef="password">
      <th mat-header-cell *matHeaderCellDef> Contraseña </th>
      <td mat-cell *matCellDef="let element"> {{element.password}} </td>
    </ng-container>
  
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef> Nombre </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>
  
    <ng-container matColumnDef="surname">
      <th mat-header-cell *matHeaderCellDef> Apellido </th>
      <td mat-cell *matCellDef="let element"> {{element.surname}} </td>
    </ng-container>
  
    <ng-container matColumnDef="company_email">
      <th mat-header-cell *matHeaderCellDef> Email compañía </th>
      <td mat-cell *matCellDef="let element"> {{element.company_email}} </td>
    </ng-container>
  
    <ng-container matColumnDef="personal_email">
      <th mat-header-cell *matHeaderCellDef> Email personal </th>
      <td mat-cell *matCellDef="let element"> {{element.personal_email}} </td>
    </ng-container>
  
    <ng-container matColumnDef="city">
      <th mat-header-cell *matHeaderCellDef> Ciudad </th>
      <td mat-cell *matCellDef="let element"> {{element.city}} </td>
    </ng-container>
  
    <ng-container matColumnDef="active">
      <th mat-header-cell *matHeaderCellDef> Activo </th>
      <td mat-cell *matCellDef="let element"> {{element.active}} </td>
    </ng-container>
  
    <ng-container matColumnDef="created_date">
      <th mat-header-cell *matHeaderCellDef> Fecha creación </th>
      <td mat-cell *matCellDef="let element"> {{element.created_date}} </td>
    </ng-container>
  
    <ng-container matColumnDef="imagen_url">
      <th mat-header-cell *matHeaderCellDef> Imagen URL </th>
      <td mat-cell *matCellDef="let element"> {{element.imagen_url}} </td>
    </ng-container>
  
    <ng-container matColumnDef="termination_date">
      <th mat-header-cell *matHeaderCellDef> Fecha finalización </th>
      <td mat-cell *matCellDef="let element"> {{element.termination_date}} </td>
    </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  